Name: 		dcache-plugin-xrootd-monitor-legacy
Version:        5.0.0
# dist not needed since this is a noarch java
Release:	0 
Summary:	dCache plugin for monitoring xrootd protocol traffic

# dcache-plugin-xrootd-monitor-src.20130905gitf08c3fd.tar.gz

Group:		System Environment/Libraries	
License:	GPL
URL:		https://github.com/ivukotic/plugins/tree/master/monitor	
Source0:	%{name}-src.%{version}.tar.gz	
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch

BuildRequires: maven3
Requires:      dcache-server < 2.2

%description
When federating dCache resources using xrootd protocol, it is important to be able to centrally monitor traffic. This plugin will intercept all of the messages between client and dCache, extract information needed, and send both summary and detailed streams to a collector. Detailed stream consists of "f", "="  and "u" streams described in xrootd monitoring protocol.


%prep
%setup -q

%build
ls -lha
cd monitor
mvn3 package

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/opt/d-cache/share/plugins
cp monitor/target/monitor-%{version}.tar.gz %{buildroot}/opt/d-cache/share/plugins
cd %{buildroot}/opt/d-cache/share/plugins
tar -xvzf monitor-%{version}.tar.gz
rm monitor-%{version}.tar.gz


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/opt/d-cache/share/plugins/monitor-5.0.0/LICENSE.txt
/opt/d-cache/share/plugins/monitor-5.0.0/README.md
/opt/d-cache/share/plugins/monitor-5.0.0/logback-classic-1.0.9.jar
/opt/d-cache/share/plugins/monitor-5.0.0/logback-core-1.0.9.jar
/opt/d-cache/share/plugins/monitor-5.0.0/monitor-5.0.0.jar
/opt/d-cache/share/plugins/monitor-5.0.0/myplugin.properties

%changelog
* Thu Sep 05 2013 Lincoln Bryant lincolnb@hep.uchicago.edu [20130905git08c3fd]
- First build.
